org.jetlang.remote.client

## Class SocketConnector

- java.lang.Object
- - org.jetlang.remote.client.SocketConnector

    public class SocketConnector
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SocketConnector(String host, int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Socket` `configureSocket()`
`Socket` `connect()`
`int` `getConnectTimeoutInMs()`
`int` `getReadTimeoutInMs()`
`int` `getReceiveBufferSize()`
`int` `getSendBufferSize()`
`boolean` `isTcpNoDelay()`
`void` `setConnectTimeoutInMs(int connectTimeoutInMs)`
`void` `setReadTimeoutInMs(int readTimeoutInMs)`
`void` `setReceiveBufferSize(int receiveBufferSize)`
`void` `setSendBufferSize(int sendBufferSize)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketConnector

    public SocketConnector(String host,
                           int port)

### Method Detail

#### isTcpNoDelay

    public boolean isTcpNoDelay()

#### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

#### getReadTimeoutInMs

    public int getReadTimeoutInMs()

#### setReadTimeoutInMs

    public void setReadTimeoutInMs(int readTimeoutInMs)

#### setConnectTimeoutInMs

    public void setConnectTimeoutInMs(int connectTimeoutInMs)

#### getConnectTimeoutInMs

    public int getConnectTimeoutInMs()

#### getReceiveBufferSize

    public int getReceiveBufferSize()

#### setReceiveBufferSize

    public void setReceiveBufferSize(int receiveBufferSize)

#### getSendBufferSize

    public int getSendBufferSize()

#### setSendBufferSize

    public void setSendBufferSize(int sendBufferSize)

#### connect

    public Socket connect()
                   throws IOException

Throws:
  `IOException`

#### configureSocket

    public Socket configureSocket()
                           throws SocketException

Throws:
  `SocketException`